You should install PECL lib OAuth